gdk-sharp 0.0.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Object for keyboard code manipulation

Defines translations from keyboard states to a `keyval`. Two phase translation: determine keyboard group and level for keyboard state, then lookup the keycode/group/level triplet in the keymap and get the corresponding keyval. Keycode is the hardware/keyboard code for that key. Keygroup is used for language and horizontal tracking [ "group 1" is english, "group 2" is hebrew]. Keylevel is used to track letter case/alternate representation and vertical movement [ level 0 is "a", level 1 is "A" ; alternately, level 0 is "1" and level 1 is "!" ].

GLib.Object GLib.IWrapper System.IDisposable
- Method
  System.Boolean `` `` `` Gets a list of keycode/group/level combinations that generate a `keyval`. The returned list is stored in the `Gdk.KeymapKey keys` parameter/reference. `uint keyval` is the final value for the combinations being collected. `int n_keys` is the total number of combinations found and returned in `Gdk.KeymapKey keys`. Level determining the top/bottom symbol and group determining the left/right symbol. On US keyboards, shift changes level and there are no groups. Group can determine language mode, for example, Hebrew/English. An object of type 'uint', such as GDK_a, GDK_up, GDK_RETURN, etc. An object of type 'Gdk.KeymapKey', the list of key sequences. An object of type 'int', number of elements returned. An object of type 'bool', returns true if keys were found and returned. None
- Method
  System.Boolean `` `` `` `` Stores in `Gdk.KeymapKey keys` a reference to a list of the keys bound to `hardware_keycode`. The nth Gdk.KeymapKey in `keys` is associated with the nth keyval in `keyvals`. When a keycode is pressed by the user, the keyval from `keys` is selected. An object of type 'uint', a keyboard code An object of type 'Gdk.KeymapKey', return reference for the list of keys An object of type 'uint', return reference for the list of corresponding keyvals for `keys` An object of type 'int', number of values stored in `keys` and `keyvals` An object of type 'bool', true if entries were found. None
- Method
  System.UInt32 `` Looks up a keyval mapped to a keycode/group/level triplet. If no keyval is bound to `key`, the method returns 0. An object of type 'Gdk.KeymapKey', initalized keycode/group/level triplet. An object of type 'uint', a keyval or 0 if none was found. None
- Method
  System.Boolean `` `` `` `` `` `` `` Translates the contents of a Gdk.KeymapKey into a keyval/group/level. Modifiers affecting the translation are returned in `consumed_modifiers`. `effective_group` is the group used in translation. Key level is determined by `state`. An object of type 'uint', a keyboard code. An object of type 'Gdk.ModifierType', a modifier state. An object of type 'int', active keyboard group. An object of type 'uint', return reference for `keyval`. An object of type 'int', return reference for `effective group`. An object of type 'int', return reference for the new level. An object of type 'Gdk.ModifierType', return reference for modifiers used to determine group/level. An object of type 'bool', return `true` if keys were found and returned. None
- Method
  System.Void Disposes the resources associated with the object.
- Constructor
  Internal constructor
  GLib type for the type
  Creates a new instance of Keymap, using the GLib-provided type

  This is a constructor used by derivative types of that would have their own GLib type assigned to it. This is not typically used by C# code.

- Constructor
  Internal constructor
  Pointer to the C object.
  An instance of Keymap, wrapping the C object.

  This is an internal constructor, and should not be used by user code.

- Constructor
  Default constructor
  An object of type 'Gdk.Keymap'
  None
- Property
  Gdk.Keymap To be added To be added: an object of type 'Gdk.Keymap' To be added
- Property
  System.UInt32 The GLib Type for Gdk.Keymap The GLib TYpe for the Gdk.Keymap class.
- Property
  Pango.Direction Member that represents the current direction of the keymap. An object of type 'Pango.Direction', current keymap direction. None
- Event
  An event handler that fires when the direction of a keymap has been changed.
  None